#include <iostream>
#include <cmath>

// άƽ
class Point {
protected:
    double x, y;

public:
    // 캯1ԭ(0, 0)
    Point() : x(0), y(0) {}

    // 캯2
    Point(double x, double y) : x(x), y(y) {}

    double getx() const {
        return x;
    }

    double gety() const {
        return y;
    }

    double dist(const Point& p) const {
        return std::sqrt((x - p.x) * (x - p.x) + (y - p.y) * (y - p.y));
    }
};

// άռ̳࣬Զάƽ
class Point3D : public Point {
private:
    double z;

public:
    // 캯1ԭ(0, 0, 0)
    Point3D() : Point(), z(0) {}

    // 캯2
    Point3D(double x, double y, double z) : Point(x, y), z(z) {}

    double getz() const {
        return z;
    }

    double dist(const Point3D& p) const {
        return std::sqrt((x - p.x) * (x - p.x) + (y - p.y) * (y - p.y) + (z - p.z) * (z - p.z));
    }
};

int main() {
    // AB
    Point3D A(0, 0, 0);
    Point3D B(4, 5.6, 7.8);

    // AB֮ľ벢
    double distance = A.dist(B);
    std::cout << "|A-B|=" << distance << std::endl;

    return 0;
}
